Page MenuHomePhabricator

Add tour parameter to InputBox extension
Closed, ResolvedPublic

Description

Per T173988, it would be useful in some user experience cases to allow the user to specify a GuidedTour to be run on the resulting search page.

For this to work, the query parameter tour=[tourname] needs to be added into the URL. An additional optional parameter will be added:

<inputbox>
type=search
bgcolor=#ffffff
namespaces=main
searchbuttonlabel=Search Wikipedia for alternative titles
break=no
tour=test
</inputbox>

results in the user being sent to http://testwiki.cxlabs.org/wiki/Special:Search?search=[search string]&tour=test

Details

Related Gerrit Patches:
mediawiki/extensions/InputBox : masterAdd tour parameter

Event Timeline

Samtar created this task.Aug 24 2017, 7:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2017, 7:26 PM
Samtar renamed this task from Add tour paramater to InputBox extension to Add tour parameter to InputBox extension.Aug 24 2017, 7:32 PM

Change 373676 had a related patch set uploaded (by Samtar; owner: Samtar):
[mediawiki/extensions/InputBox@master] Add tour parameter

https://gerrit.wikimedia.org/r/373676

Samtar triaged this task as Medium priority.Aug 25 2017, 6:22 AM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 6:22 AM
jeblad removed a subscriber: jeblad.Aug 25 2017, 9:22 PM

Change 373676 merged by jenkins-bot:
[mediawiki/extensions/InputBox@master] Add tour parameter

https://gerrit.wikimedia.org/r/373676

Samtar closed this task as Resolved.Sep 8 2017, 9:50 AM

Merged, you can now do tour=[tour name] :-)